# ImageMagick has adopted a new Version.Patchlevel version numbering system...
# 5.4.0.3 is actually version 5.4.0, Patchlevel 3.
%define VER 6.0.7
%define Patchlevel 1
Summary: An X application for displaying and manipulating images.
Name: ImageMagick
%if "%{Patchlevel}" != ""
Version: %{VER}.%{Patchlevel}
%else
Version: %{VER}
%endif
Release: 20%{?dist}.1
License: freeware
Group: Applications/Multimedia
%if "%{Patchlevel}" != ""
Source: ftp://ftp.ImageMagick.org/pub/ImageMagick/ImageMagick-%{VER}-%{Patchlevel}.tar.bz2
%else
Source: ftp://ftp.ImageMagick.org/pub/ImageMagick/ImageMagick-%{version}.tar.gz
%endif
Source1: magick_small.png
Patch4: ImageMagick-6.0.6-hp2xx.patch
Patch5: ImageMagick-5.4.7-localdoc.patch
Patch8: ImageMagick-6.0.7-exiffix.patch
Patch9: ImageMagick-6.0.7-psdoverflow.patch
Patch10: ImageMagick-6.0.7-stdio.patch
# 150185
Patch11: ImageMagick-6.0.7-format.patch
# 155953
Patch12: ImageMagick-6.0.7-pnm.patch
# 158790
Patch13: ImageMagick-5.5.6-mask.patch
# 176925
Patch14: ImageMagick-6.0.7-format-string-again.patch
# 176837
Patch15: ImageMagick-6.0.7-shell-injection.patch
# 202193
Patch16: ImageMagick-6.0.7-cve-2006-3743.patch
# 202771
Patch17: ImageMagick-6.0.7-cve-2006-4144.patch
# 210921
Patch18: ImageMagick-6.0.7-cve-2006-5456.patch
# 192278
Patch19: ImageMagick-6.0.7-cve-2006-2440.patch
# 217558
Patch20: ImageMagick-6.2.8-cve-2006-5868.patch
# 191003, 199698
Patch21: ImageMagick-6.0.7-attribute-check.patch
# 193656
Patch22: ImageMagick-6.0.7-kdebreak.patch
# 189581
Patch23: ImageMagick-6.0.7-grab-button.patch
# 235071
Patch24: ImageMagick-6.2.3-cve-2007-1797.patch
# 310081
Patch25: ImageMagick-6.2.3-quantum-memory.patch
Patch26: ImageMagick-6.2.3-setimageextent.patch
Patch27: ImageMagick-6.2.3-CVE-2007-4988.patch
# 310091
Patch28: ImageMagick-6.0.7-CVE-2007-4985.patch
# 310121
Patch29: ImageMagick-6.2.3-CVE-2007-4986.patch
# pcx
Patch30: ImageMagick-6.0.7-CVE-2008-1097.patch
# xcf
Patch31: ImageMagick-6.0.7-CVE-2008-1096.patch
# BZ285951 ps bounds check
Patch32: ImageMagick-6.0.7-bound.patch
# 504302
Patch33: ImageMagick-6.0.7-CVE-2009-1882.patch


Url: http://www.imagemagick.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: bzip2-devel, freetype-devel, libjpeg-devel, libpng-devel
BuildPrereq: libtiff-devel, libungif-devel, zlib-devel, perl
BuildRequires: freetype-devel >= 2.0.1, xorg-x11-devel, libxml2-devel
BuildRequires: automake >= 1.7 autoconf >= 2.58 libtool >= 1.5

%description
ImageMagick(TM) is an image display and manipulation tool for the X
Window System. ImageMagick can read and write JPEG, TIFF, PNM, GIF,
and Photo CD image formats. It can resize, rotate, sharpen, color
reduce, or add special effects to an image, and when finished you can
either save the completed work in the original format or a different
one. ImageMagick also includes command line programs for creating
animated or transparent .gifs, creating composite images, creating
thumbnail images, and more.

ImageMagick is one of your choices if you need a program to manipulate
and dis play images. If you want to develop your own applications
which use ImageMagick code or APIs, you need to install
ImageMagick-devel as well.

%package devel
Summary: Static libraries and header files for ImageMagick app development.
Group: Development/Libraries
Requires: ImageMagick = %{version}-%{release}, bzip2-devel, freetype-devel
Requires: libjpeg-devel, libpng-devel, libtiff-devel, zlib-devel, libxml2-devel
Requires: libexif-devel
Requires: XFree86-devel

%description devel
Image-Magick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications. ImageMagick is an image
manipulation program.

If you want to create applications that will use ImageMagick code or
APIs, you need to install ImageMagick-devel as well as ImageMagick.
You do noy need to install it if you just want to use ImageMagick,
however.

%package perl
Summary: ImageMagick perl bindings
Group: System Environment/Libraries
Requires: ImageMagick = %{version}-%{release}, perl >= 5.6.0

%description perl
Perl bindings to ImageMagick.

Install ImageMagick-perl if you want to use any perl scripts that use
ImageMagick.

%package c++
Summary: ImageMagick Magick++ library (C++ bindings)
Group: System Environment/Libraries
Requires: ImageMagick = %{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the ImageMagick
graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use Magick++.

%package c++-devel
Summary: C++ bindings for the ImageMagick library
Group: Development/Libraries
Requires: ImageMagick = %{version}, ImageMagick-c++ = %{version}
Requires: ImageMagick-devel = %{version}, bzip2-devel, freetype-devel
Requires: libjpeg-devel, libpng-devel, libtiff-devel, zlib-devel, libxml2-devel

%description c++-devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications using the Magick++ C++ bindings.
ImageMagick is an image manipulation program.

If you want to create applications that will use Magick++ code
or APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel and
ImageMagick.
You don't need to install it if you just want to use ImageMagick, or if you
want to develop/compile applications using the ImageMagick C interface,
however.

%prep
%setup -q -n %{name}-%{VER}
%patch4 -p1 -b .hp2xx
%patch5 -p1 -b .ImageMagick
%patch8 -p1 -b .exiffix
%patch9 -p1 -b .psdoverflow
%patch10 -p1 -b .stdio
%patch11 -p1 -b .format
%patch12 -p1 -b .pnm
%patch13 -p1 -b .mask
%patch14 -p1 -b .format-string-again
%patch15 -p1 -b .shell-injection
%patch16 -p1 -b .cve-2006-3743
%patch17 -p1 -b .cve-2006-4144
%patch18 -p1 -b .cve-2006-5456
%patch19 -p1 -b .cve-2006-2440
%patch20 -p1 -b .cve-2006-5868
%patch21 -p1 -b .attribute-check
%patch22 -p1 -b .kdebreak
%patch23 -p1 -b .grab
%patch24 -p0 -b .cve-2007-1797
%patch25 -p1 -b .quantum-memory
%patch26 -p1 -b .setimageextent
%patch27 -p1 -b .cve-2007-4988
%patch28 -p1 -b .cve-2007-4985
%patch29 -p1 -b .cve-2007-4986
%patch30 -p1 -b .cve-2008-1097
%patch31 -p1 -b .cve-2008-1096
%patch32 -p1 -b .ps-bound
%patch33 -p1 -b .cve-2009-1882

%build
libtoolize --copy --force
aclocal
automake || :
autoconf || :
%configure --enable-shared \
           --with-perl \
	   --with-x \
           --with-threads \
           --with-magick_plus_plus
make

# Link against built not installed library
%define perl_make_options CC='%__cc -L$PWD/magick/.libs' LD='%__ld -L$PWD/magick/.libs'
make PERL_MAKE_OPTIONS="%perl_make_options" PerlMagick/Makefile
make -C PerlMagick

%install
rm -rf $RPM_BUILD_ROOT

perl -pi -e 's,^PREFIX.*,PREFIX = \$(DESTDIR)/usr,g;s,^config :: Makefile,config :: ,g;s,Makefile : ,Foo : ,g;s,^INSTALLSITEARCH = /usr,INSTALLSITEARCH = \$(DESTDIR)/usr,g' PerlMagick/Makefile
cat >>PerlMagick/Makefile <<EOF
Makefile:
	touch Makefile
EOF

make install DESTDIR=$RPM_BUILD_ROOT PERL_MAKE_OPTIONS="%perl_make_options"

# Generate desktop file
#mkdir -p $RPM_BUILD_ROOT/usr/share/icons $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
#cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons

# Add files make install constantly forgets
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ImageMagick-%{VER}/config
install -c -m 644 config/*.mgk $RPM_BUILD_ROOT/%{_libdir}/ImageMagick-%{VER}/config/
mv -f $RPM_BUILD_ROOT/%{_datadir}/ImageMagick-%{VER}/config/* $RPM_BUILD_ROOT/%{_libdir}/ImageMagick-%{VER}/config/

#cat >$RPM_BUILD_ROOT/etc/X11/applnk/Graphics/ImageMagick.desktop <<EOF
#[Desktop Entry]
#Name=ImageMagick
#Comment=The ImageMagick picture viewer and editor
#Comment[de]=Der ImageMagick-Bilderbetrachter und -editor
#Exec=%{_prefix}/bin/display
#Icon=magick_small.png
#Terminal=0
#Type=Application
#EOF

find $RPM_BUILD_ROOT -name "*.bs" |xargs rm -f
find $RPM_BUILD_ROOT -name ".packlist" |xargs rm -f

# Grr... Broken makefiles!!
perlver=`perl -v |grep built |sed -e "s,.*v,,;s, .*,,"`
perlmajor=`echo $perlver |sed -e "s,\..*,,"`
if [ -d $RPM_BUILD_ROOT%{_libdir}/$perlver ]; then
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/perl$perlmajor/site_perl/$perlver
	mv $RPM_BUILD_ROOT%{_libdir}/$perlver/* $RPM_BUILD_ROOT%{_libdir}/perl$perlmajor/site_perl/$perlver/
	rm -rf $RPM_BUILD_ROOT%{_libdir}/$perlver
fi
if [ -d $RPM_BUILD_ROOT%{_libdir}/site_perl ]; then
	for i in `find $RPM_BUILD_ROOT%{_libdir}/site_perl/ -type d`; do
		mkdir -p `echo $i |sed -e "s,site_perl,perl$perlmajor/site_perl,g"` || :
	done
	for i in `find $RPM_BUILD_ROOT%{_libdir}/site_perl/ -type f`; do
		mv -f `echo $i |sed -e "s,site_perl,perl$perlmajor/site_perl,g"` || :
	done
fi

pushd $RPM_BUILD_ROOT/%{_bindir}
for i in %{_target}-redhat-linux-*; do
	[ -f $i ] && mv $i `echo $i |sed -e "s/^%{_target}-redhat-linux-//"`
done
popd

pushd $RPM_BUILD_ROOT/%{_mandir}
for i in */%{_target}-redhat-linux-*; do
	[ -f $i ] && mv $i `echo $i |sed -e "s,/%{_target}-redhat-linux-,/,"`
done
popd

# get the perl file list. We know what we need, so this is easy
rm -f perl-pkg-files.orig
echo "%defattr(-,root,root)" > perl-pkg-files
find $RPM_BUILD_ROOT%{_libdir}/perl$perlmajor/site_perl/$perlver -type d -name Image >> perl-pkg-files.orig
sed -e s,$RPM_BUILD_ROOT,, perl-pkg-files.orig > perl-pkg-files

# remove files we aren't shipping
rm -f `find $RPM_BUILD_ROOT%{_libdir}/perl$perlmajor/ -name perllocal.pod -type f`
rm -rf $RPM_BUILD_ROOT%{_libdir}/ImageMagick
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{VER}

%clean
#rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post c++ -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun c++ -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc index.html www images QuickStart.txt
%doc README.txt
%attr(755,root,root) %{_libdir}/libMagick.so.*
%attr(755,root,root) %{_libdir}/libWand.so.*
%{_libdir}/ImageMagick-*
%{_bindir}/[a-zW]*
%{_mandir}/*/*
#/etc/X11/applnk/Graphics/ImageMagick.desktop
#/usr/share/icons/magick_small.png

%files devel
%defattr(-,root,root)
%{_bindir}/Magick-config
%{_libdir}/libMagick.a
%{_libdir}/libMagick.la
%{_libdir}/libMagick.so
%{_libdir}/libWand.a
%{_libdir}/libWand.la
%{_libdir}/libWand.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/magick
%{_includedir}/wand

%files c++
%defattr(-,root,root)
%{_libdir}/libMagick++.so.*

%files c++-devel
%defattr(-,root,root)
%{_bindir}/Magick++-config
%{_includedir}/Magick++
%{_includedir}/Magick++.h
%{_libdir}/libMagick++.a
%{_libdir}/libMagick++.la
%{_libdir}/libMagick++.so

%files perl -f perl-pkg-files
%defattr(-,root,root)
#%{_libdir}/perl*/site_perl/*/*/auto/Image
#%{_libdir}/perl*/site_perl/*/*/Image

%changelog
* Fri May 28 2010 Olivier Fourdan <ofourdan@redhat.com> 6.0.7.1-20.el4_8.1
- Add fix for CVE-2009-1882 (504302)

* Mon Apr 21 2008 Norm Murray <nmurray@redhat.com> 6.0.7.1-20.el4
- fix for BZ285951

* Thu Mar 27 2008 Norm Murray <nmurray@redhat.com> 6.0.7.1-19.el4
- add fixes for CVE-2008-1096, CVE-2008-1097 against BZ411371
- update quantum memory patch 

* Thu Dec 06 2007 - Bastien Nocera <bnocera@redhat.com> 6.0.7.1-18
- Add patch for CVE-2007-1797 (#235071)
- Add patch for CVE-2007-4988 (#310081)
- Add patch for CVE-2007-4985 (#310091)
- Add patch for CVE-2007-4986 (#310121)
Related: rhbz #411371

* Wed Mar  7 2007 Norm Murray <nmurray@redhat.com> 6.0.7.1-17
- merge fixes with security updates, catch build requires (#229000)

* Fri Feb  9 2007 Norm Murray <nmurray@redhat.com> 6.0.7.1-16.0.3
- update fix for CVS-2006-5456

* Mon Jan 29 2007 Norm Murray <nmurray@redhat.com> 6.0.7.1-16.03
- fix grab button (#189581)

* Thu Nov 30 2006 Norm Murray <nmurray@redhat.com> 6.0.7.1-16.0.2
- more security issues (#217558, CVE-2006-5868; #192278, CVE-2006-2440)

* Thu Nov 02 2006 Norm Murray <nmurray@redhat.com> 6.0.7.1-16.0.1
- fix more overflows (#210921)

* Tue Sep 19 2006 Norm Murray <nmurray@redhat.com> 6.0.7.1-16.01
- fix attribute checking (#191003, #199698)
- fix kde window raising (#193656)

* Wed Aug 16 2006 Matthias Clasen <mclasen@redhat.com> - 6.0.7.1-16
- fix more integer overflows (#202771, CVE-2006-4144)

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 6.0.7.1-15
- fix several integer and buffer overflows (#202193, CVE-2006-3743)

* Fri Jan  6 2006  <mclasen@redhat.com> - 6.0.7.1-14
- fix a shell injection vulnerability (#175837, CVE-2005-4601)

* Wed Jan  4 2006  <mclasen@redhat.com> - 6.0.7.1-13
- fix a format string vulnerability (#176925, CVE-2006-0082)

* Thu May 26 2005  <mclasen@redhat.com> - 6.0.7.1-12
- fix a denial of service in the xwd coder (#158790, CAN-2005-1739)

* Tue Apr 26 2005 Matthias Clasen <mclasen@redhat.com> - 6.0.7.1-11
- fix a heap corruption issue in the pnm coder (#155953)

* Mon Mar 21 2005  <mclasen@redhat.com> - 6.0.7.1-10
- fix another format string vulnerability

* Tue Mar 15 2005  <mclasen@redhat.com> - 6.0.7.1-9
- fix format string vulnerability, CAN-2005-0397, #150185

* Fri Mar 11 2005 Matthias Clasen <mclasen@redhat.com> - 6.0.7.1-8
- Make writing tif to stdout work.

* Mon Jan 24 2005 Matthias Clasen <mclasen@redhat.com> - 6.0.7.1-6
- Fix overflow in psd decoder, #CAN-2005-0005

* Tue Nov 23 2004 Jonathan Blandford <jrb@redhat.com> - 6.0.7.1-5
- buffer overflow in ImageMagick's EXIF parser, CAN-2004-0981


* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com> 6.0.7.1-4
- The devel subpackage requires XFree86-devel (bug #126509).
- Fixed build requirements (bug #120776).  From Robert Scheck.

* Tue Sep 14 2004 Karsten Hopp <karsten@redhat.de> 6.0.7.1-3
- move *.mgk files (#132007, #131708, #132397)

* Sun Sep 12 2004 Karsten Hopp <karsten@redhat.de> 6.0.7.1-1
- update to 6.0.7 Patchlevel 1, fixes #132106

* Sat Sep 4 2004 Bill Nottingham <notting@redhat.com> 6.0.6.2-2
- move libWand out of -devel, fix requirements (#131767)

* Wed Sep 01 2004 Karsten Hopp <karsten@redhat.de> 6.0.6.2-1
- update to latest stable version
- get rid of obsolete patches
- fix remaining patches

* Sat Jun 19 2004 Alan Cox <alan@redhat.com>
- Easyfixes (#124791) - fixed missing dependancy between -devel and
  libexif-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 23 2004 Karsten Hopp <karsten@redhat.de> 5.5.7.15-1.3
- freetype patch to fix convert (#115716)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jan 25 2004 Nils Philippsen <nphilipp@redhat.com> 5.5.7.15-0.2
- make perl module link against the built library instead of the installed one

* Thu Jan 22 2004 Nils Philippsen <nphilipp@redhat.com> 5.5.7.15-0.1
- version 5.5.7 patchlevel 15

* Mon Oct 13 2003 Nils Philippsen <nphilipp@redhat.com> 5.5.7.10-0.1
- rebuild with release 0.1 to not block an official update package

* Wed Sep 10 2003 Nils Philippsen <nphilipp@redhat.com> 5.5.7.10-2
- hack around libtool stupidity
- disable automake patch as we require automake-1.7 anyway

* Wed Sep 10 2003 Nils Philippsen <nphilipp@redhat.com> 5.5.7.10-1
- version 5.5.7 patchlevel 10

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 29 2003 Tim Powers <timp@redhat.com> %{nil}-4
- rebuild for RHEL to fix broken deps

* Thu May 15 2003 Tim Powers <timp@redhat.com> 5.5.6-3
- rebuild again to fix broken dep on libMagick.so.5

* Mon May 12 2003 Karsten Hopp <karsten@redhat.de> 5.5.6-2
- rebuild

* Fri May 09 2003 Karsten Hopp <karsten@redhat.de> 5.5.6-1
- update
- specfile fixes
  #63897 (_target instead of _arch)
  #74521 (SRPM doesn't compile)
  #80441 (RFE: a newer version of ImageMagick is available)
  #88450 (-devel package missing dependancy)
  #57396 (convert won't read RAW format images)
- verified that the upstream version fixes the following bugreports:
  #57544 (display cannot handle many xpm's which both ee and rh71 display can)
  #63727 (ImageMagick fails to handle RGBA files)
  #73864 (composite dumps core on certain operations)
  #78242 (Header files for c missing in devel rpms)
  #79783 (magick_config.h is missing from ImageMagick-c++-devel)
  #80117 (Documentation is installed twice by RPM )
  #82762 (Trouble with browsing help files)
  #85760 (Segmentation fault)
  #86120 (eps->ppm convert crashes)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 5.4.7-9
- use internal dep generator.

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 5.4.7-8
- rebuild

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 5.4.7-7
- don't use rpms internal dep generator

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- fix perl paths in file list

* Thu Nov 21 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- don't throw stuff in /usr/X11R6, that's for X only
- remove files we aren't shipping

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 5.4.7-4
- build using gcc-3.2-0.1

* Wed Jul 03 2002 Karsten Hopp <karsten@redhat.de> 5.4.7-3
- fix non-cpp headers in -devel package
- fix #62157 (wrong path for include files in ImageMagick-devel)
- fix #63897 (use _target instead of _arch) in libtool workaround
- fix #65860, #65780 (tiff2ps) expands images to >10 MB Postscript files.

* Mon Jul 01 2002 Karsten Hopp <karsten@redhat.de> 5.4.7-1
- update
- fix localdoc patch
- fix %%files section
- disable nonroot patch
- fix #62100,55950,62162,63136 (display doesn't start form gnome menu)
- fix libtool workaround
- moved Magick*-config into -devel package (#64249)

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.6-1
- 5.4.6

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.3.11-1
- Update to pl 11

* Fri Feb 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.3.5-1
- Update to 5.4.3 pl5; this fixes #58080

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.2.3-1
- Patchlevel 3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.2.2-1
- Update to 5.4.2-2
- Fix #57923, also don't hardcode netscape as html viewer

* Wed Dec  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.1-1
- 5.4.1
- Link against new libstdc++

* Fri Nov  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0.5-1
- 5.4.0.5
- Make the error message when trying to display an hpgl file more
  explicit (#55875)

* Mon Nov  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0.3-1
- 5.4.0.3
- Fix names of man pages

* Mon Oct 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0-1
- 5.4.0
- work around build system breakage causing applications to be named
  %{_arch}-redhat-linux-foo rather than foo

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.9-1
- 5.3.9

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-3
- Add delegates.mgk back, got lost during the update to 5.3.8 (Makefile bug)
  (#52611)

* Mon Aug 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-2
- Remove Magick++ includes from -devel, they're already in -c++-devel
  (#51590)

* Sun Jul 28 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-1
- 5.3.8 (bugfix release)

* Sat Jul 27 2001 Than Ngo <than@redhat.com> 5.3.7-3
- fix to build Perlmagic on s390 s390x

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.7-2
- Add delegates.mgk to the package (#50725)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.7-1
- 5.3.7
- Fix build without previously installed ImageMagick-devel (#49816)
- Move perl bindings to a separate package.

* Mon Jul  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.6-2
- Fix build as non-root again
- Shut up rpmlint

* Tue Jul  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.6-1
- 5.3.6
- Get rid of the ia64 patch, it's no longer needed since glibc was fixed

* Sat Jun 16 2001 Than Ngo <than@redhat.com>
- update to 5.3.5
- cleanup specfile

* Sat May 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.3-2
- 5.3.3-respin, fixes #41196

* Tue May  1 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.3-1
- 5.3.3
- Add a desktop file for "display" (RFE#17417)

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.3.2
- work around bugs in ia64 glibc headers

* Mon Jan 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- remove patch for s390, it is not necessary

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.7

* Wed Dec 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.6

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- ported to s390

* Mon Sep 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.4
- Fix up and package the C++ bindings in the new c++/c++-devel packages.

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- include images with docs (#10312)

* Thu Jul 13 2000 Matt Wilson <msw@redhat.com>
- don't build with -ggdb, use -g instead.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <laroche@redhat.com>
- update to 5.2.2 beta

* Mon Jul  3 2000 Florian La Roche <laroche@redhat.com>
- update to 5.2.1, redone patches as they failed

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- remove hacks to move perl man pages
- don't include the perl*/man stuff, these files go in /usr/share/man now.

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable optimization on Alpha and Sparc

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 5.2.0
- update URL
- remove redundant CXXFLAGS=$RPM_OPT_FLAGS

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- bootstrap rebuilt to nuke broken libbz2 deps
- add Prefix: tag such that the FHS macros work properly

* Wed May 17 2000 Trond Eivind Glomsrod <teg@redhat.com>
- now compiles with bzip2 1.0
- changed buildroot to include version

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- fix compilation with new perl

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.1.1

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get compressed man pages

* Thu Nov 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- ugly hack to print with lpr instead of lp

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.9

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.8

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates.
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
